package geoinformatics2;

import repast.simphony.engine.environment.RunEnvironment;
import repast.simphony.engine.schedule.ScheduledMethod;
import repast.simphony.parameter.Parameters;
import repast.simphony.random.RandomHelper;

public class OldComplete extends Agent
{
	public static double MORTALITY_RATE = 0.01;
	
	/**
	 * Init block - reads parameters from the model.score
	 */
	{
		Parameters p = RunEnvironment.getInstance().getParameters();
		MORTALITY_RATE = (Double) p.getValue( "oldMortality" );
	}
	
	@ScheduledMethod( start=1,interval=1)
	public void update()
	{
		age++;
		if( RandomHelper.nextDouble() < MORTALITY_RATE ) die();
		if( age > 120 ) die();
	}

	public int getType() {return OLD_TYPE;}
}
