package geoinformatics3.agents;

import geoinformatics3.CombinedModel;
import geoinformatics3.city.Cell;
import repast.simphony.engine.environment.RunEnvironment;
import repast.simphony.engine.schedule.ScheduledMethod;
import repast.simphony.parameter.Parameters;
import repast.simphony.random.RandomHelper;

public class Old extends Agent
{
	public static double MORTALITY_RATE = 0.01;
	public static int MAX_AGE = 120;
	public static double SATISFACTION_THRESHOLD = 0.8;
	
	public Old( CombinedModel model )
	{
		super( model );
	}
	
	@ScheduledMethod( start=1,interval=1)
	public void update()
	{
		age++;
		if( RandomHelper.nextDouble() < MORTALITY_RATE ) die();
		if( age > MAX_AGE ) die();
		if( location != null && evaluateCell( location ) < SATISFACTION_THRESHOLD ) tryMoving();
	}

	public int getType() {return 2;}
	
	public double evaluateCell( Cell c )
	{
		return doEvaluation( c );
	}
	
	/**
	 * Put your location preference function in here
	 * @param c
	 * @return
	 */
	public static double doEvaluation( Cell c )
	{
		return 0.6;
	}
}
