package geoinformatics4.agents;

import geoinformatics4.CombinedModel;
import geoinformatics4.city.Cell;
import repast.simphony.engine.environment.RunEnvironment;
import repast.simphony.engine.schedule.ScheduledMethod;
import repast.simphony.parameter.Parameters;
import repast.simphony.random.RandomHelper;

public class Old extends Agent
{
	public static double MORTALITY_RATE = 0.01;
	public static int MAX_AGE = 120;
	
	public Old( CombinedModel model )
	{
		super( model );
	}
	
	@ScheduledMethod( start=1,interval=1)
	public void update()
	{
		age++;
		if( RandomHelper.nextDouble() < MORTALITY_RATE ) die();
		if( age > MAX_AGE ) die();
	}

	public double getDensityPreference( Cell c )
	{
		return 1-c.getNeighbourhoodDensity() / Cell.CURRENT_MAXIMUM_CAPACITY;
	}
	
}
