package geoinformatics4.city;

import geoinformatics4.agents.*;

import java.awt.Color;

/**
 * Displays the type of agent living in the cell, with red being Old
 * and green being Mature
 * @author dave
 *
 */
public class CellPreferenceStyle extends AbstractCellStyle
{

	@Override
	Color getColor( Cell agent )
	{
		if( ! agent.isHabitable() ) return Color.gray;
		float prop = (float)Agent.typeBasedPreference( agent, AgentType.A );
		return new Color( 0, prop, 0 );
	}

}
