package gi.agents;

import gi.CombinedModel;
import gi.city.Cell;
import repast.simphony.engine.schedule.ScheduledMethod;
import repast.simphony.random.RandomHelper;

public class Old extends Agent
{
	public static double MORTALITY_RATE = 0.01;
	public static int MAX_AGE = 120;
	
	public Old( CombinedModel model )
	{
		super( model );
	}
	
	@ScheduledMethod( start=1,interval=1)
	public void update()
	{
		age++;
		if( RandomHelper.nextDouble() < MORTALITY_RATE ) die();
		if( age > MAX_AGE ) die();
	}

	/**
	 * You can change the way the density preferences work if you want
	 */
	public double getDensityPreference( Cell c )
	{
		if( c == null ) return 0;
		return 1-c.getNeighbourhoodDensity() / Cell.CURRENT_MAXIMUM_CAPACITY;
	}
	
}
