package gi.city.display;

import gi.agents.AgentType;
import gi.city.Cell;

import java.awt.Color;

/**
 * Displays the type of agent living in the cell, according to the colours in AgentType
 * @author dave
 *
 */
public class CellTypeStyle extends AbstractCellStyle
{

	@Override
	Color getColor( Cell cell )
	{
		AgentType t = cell.getMajorityType();
		if( t == null ) return Color.gray;
		return t.color;
	}

}
