package geoinformatics4.city;

import geoinformatics4.agents.*;

import java.awt.Color;
import java.util.Set;

/**
 * Displays the type of agent living in the cell, with red being Old
 * and green being Mature
 * @author dave
 *
 */
public class CellTypeStyle extends AbstractCellStyle
{

	@Override
	Color getColor( Cell cell )
	{
		AgentType t = cell.getMajorityType();
		if( t == null ) return Color.gray;
		return t.color;
	}

}
