package gi.city.display;

import gi.agents.AgentType;
import gi.city.Cell;

import java.awt.Color;

/**
 * Displays whether or not a cell has a feature in it. If you want, you can extend
 * it to colour cells by the feature name...
 * @author dave
 *
 */
public class CellFeatureStyle extends AbstractCellStyle
{

	@Override
	Color getColor( Cell cell )
	{
		String s = cell.getFeature();
		if( s == null ) return Color.black;
		if( s.equals( "Spaceport" )) return Color.cyan;
		return Color.white;
	}

}
