package gi.raster;

import gi.CombinedModel;
import gi.city.Cell;

/**
 * Writes out the number of agents in each cell
 * @author dmrust
 *
 */
public class PopulationWriter extends RasterWriter
{

	public PopulationWriter( CombinedModel model )
	{
		super( model );
	}

	@Override
	String generateFilename()
	{
		return "output/population.txt";
	}

	@Override
	String valueForCell( Cell c )
	{
		return c.getPopulation() + "";
	}

}
