package gi;

import gi.city.City;

import org.junit.*;

import static java.lang.Math.abs;
import static org.junit.Assert.*;

public class RiverDistanceTest extends ModelTest
{

	@Test
	public void testRiverDistance()
	{
		createRiver = true;
		City.RIVER_OFFSET = 4;
		createChangelessWorld( 20 );
		int size = city.getSize();
		for( int i = 0; i < size; i++ )
			for( int j = 0; j < size; j++ )
			{
				int dist = abs( i - City.RIVER_OFFSET );
				System.out.println( i + ", " + j + " expecting " + dist );
				assertEquals( dist, grid.getObjectAt( i, j ).getDistanceToRiver(), 0.01 );
			}
	}
}
